' StringList Test Program
' Richard D. Clark
' Use at your own risk.
' Public Domain
' Example: Copy-IsEqual
' ================================================================
'Include the stringlist.
#Include "..\stringlist.bi"

'Set the namespace.
Using strlist
 
'Create a new string list object.
Dim myList As stringlist

'Add some strings to the list.
For i As Integer = 20 To 10 Step - 1
	myList.Add("Item" & i) 
Next
'Print out each item.
Print "Current List:"
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
Print


Scope
Print "Entering New Scope"
Print "----------------------------------"
'Make a copy of the list.
Print "Make a copy of the list."
Dim myList1 As stringlist

myList.Copy myList1 
Print "List1 count: " & myList1.Count

Print "myList1:"
'Print out each item.
For i As Integer = 0 To myList1.Count - 1
	Print i & ":";myList1.Strings(i)
Next
Print 

Print "Are List and List1 equal (using case insenstive)?"
If myList.IsEqual(myList1) = TRUE Then
	Print "The two lists are equal."
Else
	Print "The two lists are not equal."
EndIf
Print

Print "Set last string to upper case."
myList1.Strings(myList1.Count - 1) = UCase(myList1.Strings(myList1.Count - 1))
Print "List1 count: " & myList1.Count
For i As Integer = 0 To myList1.Count - 1
	Print i & ":";myList1.Strings(i)
Next
Print 

 
Print "Are List and List1 equal (using case senstive)?"
myList.CaseSensitive = TRUE
If myList.IsEqual(myList1) = TRUE Then
	Print "The two lists are equal."
Else
	Print "The two lists are not equal."
EndIf
Print
Print "Leaving New Scope"
Print "----------------------------------"
End Scope

Print "Checking myList after scope:"
'Check the first list.
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next 
 
Sleep
