' StringList Test Program
' Richard D. Clark
' Use at your own risk.
' Public Domain
' Example: DeleteItem
' ================================================================
'Include the stringlist.
#Include "..\stringlist.bi"

'Set the namespace.
Using strlist
 
'Create a new string list object.
Dim myList As stringlist

'Add some strings to the list.
For i As Integer = 20 To 10 Step - 1
	myList.Add("Item" & i) 
Next
'Print out each item.
Print "Current List:"
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
Print

'Delete the last item from the list.
Print "Deleting last item from list."
If myList.DeleteItem(myList.Count - 1) = FALSE Then
	Print "Could not delete string."
EndIf
'Print out list contents again.
Print "String count is " & myList.Count
'Print out each item.
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
Print 

Print "Deleting first item from list."
If myList.DeleteItem (0) = FALSE Then
	Print "Could not delete string."
EndIf
'Print out list contents again.
Print "String count is " & myList.Count
'Print out each item.
For i As Integer = 0 To myList.Count - 1
	Print i & ":";myList.Strings(i)
Next
Print 

'Try and delete all items from list.
Print "Let's delete all the strings."
Do While myList.Count > 0
	myList.DeleteItem(myList.Count - 1)
Loop

'Print out count.
Print "String count is " & myList.Count
 
Sleep
